org.apache.xmlbeans.impl.common

## Class ReaderInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.xmlbeans.impl.common.PushedInputStream
    - - org.apache.xmlbeans.impl.common.ReaderInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class ReaderInputStream
    extends PushedInputStream

### Field Summary

Fields
`static int` `defaultBufferSize`

### Fields inherited from class org.apache.xmlbeans.impl.common.PushedInputStream

`marklimit, markpos, outputStream, readpos, writepos`

### Constructor Summary

Constructors
Constructor and Description
`ReaderInputStream(Reader reader, String encoding)`
`ReaderInputStream(Reader reader, String encoding, int bufferSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fill(int requestedBytes)` Called when more bytes need to be written into this stream (as an OutputStream).

### Methods inherited from class org.apache.xmlbeans.impl.common.PushedInputStream

`available, getOutputStream, mark, markSupported, read, read, reset, skip`

### Methods inherited from class java.io.InputStream

`close, read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### defaultBufferSize

    public static final int defaultBufferSize

See Also:
  Constant Field Values

### Constructor Detail

#### ReaderInputStream

    public ReaderInputStream(Reader reader,
                             String encoding)
                      throws UnsupportedEncodingException

Throws:
  `UnsupportedEncodingException`

#### ReaderInputStream

    public ReaderInputStream(Reader reader,
                             String encoding,
                             int bufferSize)
                      throws UnsupportedEncodingException

Throws:
  `UnsupportedEncodingException`

### Method Detail

#### fill

    public void fill(int requestedBytes)
              throws IOException

Description copied from class: `PushedInputStream`
Called when more bytes need to be written into this stream (as an OutputStream). This method must write at least one byte if the stream is not ended, and it must not write any bytes if the stream has already ended.

Specified by:
  `fill` in class `PushedInputStream`
Throws:
  `IOException`